
QGIS Application - Bug report #18176

Plugin MetaSearch crashed

2018-02-22 04:34 PM - Bob Lange

Status: Closed

Priority: Normal

Assignee:

Category: MetaSearch Catalogue Client

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26067

Description

I have been receiving this message when opening QGIS each time since January 2018 until now:

Plugin MetaSearch: The plugin will be disabled because it crashed QGIS during last startup. Please report an issue and re-enable the

plugin when the problem has been solved.

Related issues:

Duplicated by QGIS Application - Bug report # 21884: Plugin MetaSearch crash Closed 2019-04-18

History

#1 - 2018-02-22 05:26 PM - João Gaspar

Hi Bob.

Please provide more information.

Because in QGIS 2.18.16 and in QGIS 2.14.22 is working.

Did you install some 3rd part plugin?

Regards

#2 - 2018-02-25 09:29 PM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 3.0.0

- Status changed from Open to Feedback

- Category changed from Any to MetaSearch Catalogue Client

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

#3 - 2018-02-27 01:19 AM - rmercer -

Here is the error I receive on QGIS startup on my machine.  Windows 7.

'Python error:  Couldn't load plugin 'MetaSearch' due to an error when calling its classFactor() method.  See message log (Python Error) for more details.

If you need additional information, please let me know.

Python Error:

2018-02-26T16:08:39    WARNING    Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 336, in startPlugin

                plugins[packageName] = package.classFactory(iface)
              File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\__init__.py", line 29, in classFactory

                from MetaSearch.plugin import MetaSearchPlugin

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\plugin.py", line 34, in <module>

                from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\MetaSearch\dialogs\maindialog.py", line 46, in <module>

                from owslib.csw import CatalogueServiceWeb # spellok

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

            ImportError: bad magic number in 'owslib': b'\x03\xf3\r\n'

#4 - 2018-03-01 11:12 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2019-02-05 01:03 PM - Tom Kralidis

Update on this issue?  Can we test against the current LTR?

#6 - 2019-02-07 11:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

#7 - 2019-03-08 10:44 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.

#8 - 2019-04-18 09:25 PM - Jürgen Fischer

- Duplicated by Bug report #21884: Plugin MetaSearch crash added
